<?php
/**
 * @var array $data
 */

use Itguild\Tables\ViewJsonTable;
use kernel\widgets\IconBtn\IconBtnListWidget;

$table_info = [
    "meta" => [
        "rows" => [
            "name" => "Название",
            "author" => "Автор",
            "version" => "Версия",
            "description" => "Описание"
        ],
        "params" => ["class" => "table table-bordered"],
        "baseUrl" => "/admin/module",
    ],
    "data" => $data
];
$table = new ViewJsonTable(json_encode($table_info, JSON_PRETTY_PRINT | JSON_UNESCAPED_UNICODE));

$table->beforePrint(function () {
    return IconBtnListWidget::create(['url' => '/admin'])->run();
});
$table->create();
$table->render();